use bevy::prelude::*;
use bevy_egui::{egui, EguiContext};

pub struct EguiUiPlugin;

impl Plugin for EguiUiPlugin {
	fn build(&self, app: &mut AppBuilder) {
		app.add_system(create_elements.system().label("egui_init"));
	}
}

fn create_elements(egui_ctx: ResMut<EguiContext>) {
	let fonts = egui::epaint::text::FontDefinitions::default();
	// TODO Replace the default font?
	egui_ctx.ctx().set_fonts(fonts);
	egui_ctx.ctx().set_visuals(egui::Visuals::light());
	egui::SidePanel::left("left_side", 200.0).show(egui_ctx.ctx(), |ui| {
		ui.set_min_width(200.0);
		ui.heading("side panel temp");
		ui.label("TBA");
	});
}
